This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 813217 - Metrics->Tables only shows enabled metrics
Metrics->Tables only shows enabled metrics
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 05:14 EDT by Heiko W. Rupp
Modified: 2012-04-23 12:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-17 05:14:01 EDT
Metrics->Tables only shows enabled metrics. This is a good thing on side, as the users are not confused, but then if they want to "just quickly"  click on "get metric now" button, they can't as the non-shown metrics can't be selected for this.

Idea could be to show all metrics, sorted by enabled state (enabled on top) and grey out the non-enabled ones, so that for all it is possible to pick the current value without the need to enable them.
Comment 1 Heiko W. Rupp 2012-04-19 14:34:18 EDT
Alternatively the button could also go on the schedules page, where all the metrics are listed anyway. This also prevents user confusion on the tables page by listing the disabled metrics
Comment 2 Larry O'Leary 2012-04-23 11:24:27 EDT
Perhaps these two pages could be merged into one? Doesn't make sense to have the same data and layout displayed in two different places.
Comment 3 Mike Foley 2012-04-23 12:11:06 EDT
setting priority to medium per BZ triage 4/23 (crouch, santos, oleary, foley)

Note You need to log in before you can comment on or make changes to this bug.